-- name:   crtOnlineItems_db2.ddl
-- database: DB2 UDB 7.2 and 8.1
--
-- This file contains SQL commands to create and populate the
-- dreamauc database


drop table ejb.OnlineItem;
create table ejb.OnlineItem  (
 ItemTypeId 	integer not null ,
 CatalogNumber 	integer ,
 Title 		varchar(75) ,
 Description 	varchar(2000) ,
 Value 		bigint ,
 StartingBid 	bigint ,
 ImageLocn 	varchar(100) ,
 ImageLocnSm 	varchar(100) ,
 LastBid 	bigint ,
 LastBidder 	varchar(100),
 StartBidding	timestamp,
 EndBidding 	timestamp
) ;

alter table ejb.OnlineItem add primary key (ItemTypeId);

drop table ejb.Namevalue;
create table ejb.Namevalue (
 Name 	char(10) not null ,
 Ivalue integer ,
 Svalue char(100) ) ;

alter table ejb.Namevalue add constraint PK_Namevalue primary key (Name);


-- load sample data

-- ONLINE ITEMS -------------------------------------------------------------------------

insert into ejb.OnlineItem values
(
        1, 1, 'Yellow Tulips: Vase of Flowers', 'Crystal handmade vase with fresh yellow tulips.', 10000, 2000, '3052.gif', '3052sm.gif', null, null, CURRENT TIMESTAMP, CURRENT TIMESTAMP + 000500.
);

insert into ejb.OnlineItem values
(
        2, 2, 'Springtime Flowers', 'Wrought iron pot with fresh springtime assortment. Included in this beautiful arrangement are rare pink roses and tropical citrus branches.', 20000, 3500, '3048.gif', '3048sm.gif', null, null, CURRENT TIMESTAMP, CURRENT TIMESTAMP + 002000.
);

insert into ejb.OnlineItem values
(
        3, 3, 'Yellow and Pink Roses in a Vase', 'This superb arrangement is made of fresh long-stem baby pink and yellow roses. Comes with a ceramic indigo vase.', 25000, 5000, '3075.gif', '3075sm.gif', 18500, 'Jack', CURRENT TIMESTAMP - 003000., CURRENT TIMESTAMP
);
